Bug 120187 - Unavailable plugins should be disabled after Reload Catalog
Unavailable plugins should be disabled after Reload Catalog
Status: VERIFIED WONTFIX
Product: platform
Classification: Unclassified
Component: Plugin Manager
6.x
All All
: P3 (vote)
: TBD
Assigned To: Jaroslav Tulach
au-issues
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-26 14:50 UTC by Jaromir Uhrik
Modified: 2010-10-13 11:56 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromir Uhrik 2007-10-26 14:50:59 UTC
Product Version: NetBeans IDE 6.0 Beta 2 (Build 200710212201)
Java: 1.5.0_07; Java HotSpot(TM) Client VM 1.5.0_07-87
System: Mac OS X version 10.4.10 running on i386; MacRoman; en_US (nb)

Steps to reproduce:
1.Let's have an update center "UCxyz" with plugin "ABC"
2.Register UCxyz in NetBeans plugin manager (in Settings tab of Plugin Manager push Add and set up this UCxyz provider -
e.g. add some existing catalog like file:/space/UCxyz.xml). Plugin ABC is then visible in Available Plugins
3.Make server with UCxyz unavailable (outside of IDE rename file:/space/UCxyz.xml or delete it)
4.In Available Plugins tab push Reload Catalog
5.ABC plugin is visible and the user can try to install it (although it fails in the second panel of the installer)
->I recommend to set disabled such plugins that are not available and they should be enabled again after some next
refresh when the UCxyz is up again.
Comment 1 Antonin Nebuzelsky 2008-11-14 15:32:17 UTC
Reassigning to the new "autoupdate/*" owner dlipin.
Comment 2 Jaroslav Tulach 2010-10-13 11:42:03 UTC
Shall I check on each start whether update center is accessible? That will render caches useless. Shall I make plugins from once unavailable catalogs hidden/not selectable? That would just confuse me.

Is not it better to get warning when downloading the NBM?
Comment 3 Jaromir Uhrik 2010-10-13 11:56:36 UTC
No votes for this issue so it seems that users can live with the current status. Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo